Retrieve a subscription’s associated users
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{
"attributes": {},
"flags": {
"mint.permission.read": "true",
"mint.role": "mint.role.user"
},
"subscription": {
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
},
"user": {
"id": 1,
"avatarUrl": "http://myavatar/johnsmith",
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"credentialSet": true,
"passcodeSet": false,
"pinSet": false,
"locked": false,
"lockedUntil": 1651180416000,
"createdDate": 1651180416000,
"activatedDate": 1651180416000,
"deactivatedDate": 1651180416000,
"suspendedDate": 1651180416000,
"updatedDate": 1651180416000,
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>",
"secret2FATotp": "<string>",
"aliases": [
{
"id": "<string>",
"alias": "<string>"
}
],
"mobiles": [
{
"id": "<string>",
"number": "<string>",
"mfaoption": true
}
],
"emails": [
{
"id": "<string>",
"email": "<string>",
"mfaoption": true
}
],
"socialConnections": [
{
"id": "<string>",
"providerId": "facebook, google",
"socialId": true
}
]
}
}
}
]{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-page-offset",
"message": "The requested page size is larger than the permitted max page size."
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "subscription-not-found",
"message": "com.uxpsystems.mint.framework.subscription.model.GenericSubscription[id:1]"
}
]
}Retrieve a subscription’s associated users
Retrieves a list of all Connect users associated to the ULM subscription specified by the subscriptionId number. Each result in the list is a subscription-to-user association, and it includes:
- The subscription, including its properties and attributes
- The association flags and attributes (if any) of the association
GET
/
subscription
/
{subscriptionId}
/
users
Retrieve a subscription’s associated users
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{
"attributes": {},
"flags": {
"mint.permission.read": "true",
"mint.role": "mint.role.user"
},
"subscription": {
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
},
"user": {
"id": 1,
"avatarUrl": "http://myavatar/johnsmith",
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"credentialSet": true,
"passcodeSet": false,
"pinSet": false,
"locked": false,
"lockedUntil": 1651180416000,
"createdDate": 1651180416000,
"activatedDate": 1651180416000,
"deactivatedDate": 1651180416000,
"suspendedDate": 1651180416000,
"updatedDate": 1651180416000,
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>",
"secret2FATotp": "<string>",
"aliases": [
{
"id": "<string>",
"alias": "<string>"
}
],
"mobiles": [
{
"id": "<string>",
"number": "<string>",
"mfaoption": true
}
],
"emails": [
{
"id": "<string>",
"email": "<string>",
"mfaoption": true
}
],
"socialConnections": [
{
"id": "<string>",
"providerId": "facebook, google",
"socialId": true
}
]
}
}
}
]{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-page-offset",
"message": "The requested page size is larger than the permitted max page size."
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "subscription-not-found",
"message": "com.uxpsystems.mint.framework.subscription.model.GenericSubscription[id:1]"
}
]
}Authorizations
cookieAuthOIDC
Path Parameters
The unique ID number of the subscription Example: 202
Query Parameters
The initial position to search from
The maximum number of results to return
Response
OK - successfully retrieved the subscriptions's associated users
Group to User Association Response Attributes
Show child attributes
Show child attributes
The flags that specify the relationship between the associated entities.
Show child attributes
Show child attributes
Example:
{
"mint.permission.read": "true",
"mint.role": "mint.role.user"
}
The data fields that define a ULM subscription.
Show child attributes
Show child attributes
The object that contains user properties and attributes.
Show child attributes
Show child attributes

